# Uses of Enum Class
org.bukkit.event.weather.WeatherChangeEvent.Cause

Packages that use WeatherChangeEvent.Cause
Package
Description
org.bukkit.event.weather
`Events` relating to weather.

## Uses of WeatherChangeEvent.Cause in org.bukkit.event.weather

Methods in org.bukkit.event.weather that return WeatherChangeEvent.Cause
Modifier and Type
Method
Description
`@NotNull WeatherChangeEvent.Cause`
WeatherChangeEvent.`getCause()`
Gets the cause of the weather change.
`static WeatherChangeEvent.Cause`
WeatherChangeEvent.Cause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeatherChangeEvent.Cause[]`
WeatherChangeEvent.Cause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.weather with parameters of type WeatherChangeEvent.Cause
Modifier
Constructor
Description
``
`WeatherChangeEvent(@NotNull World world, boolean to, @NotNull WeatherChangeEvent.Cause cause)`